function ViewBox(EventManager) {
	var viewsList = document.createElement('select');

	this.addView = function(viewXMLOBj) {
		var title = viewXMLOBj.getAttribute('title');

		var option = document.createElement('option');
		option.appendChild(document.createTextNode(title));
		option.id = 'ViewBoxOption-'+title;
		viewsList.appendChild(option);
	}

	this.removeView = function(viewTitle) {
		viewsList.removeChild(document.getElementById('ViewBoxOption-'+viewTitle));
	}
	
	this.setParent = function(p) {
		p.appendChild(document.createTextNode('Jump To:'));
		p.appendChild(viewsList);
	}
}
